#
# spec file for package rubygem-gyoku
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-gyoku
Version:        1.4.0
Release:        1.14
%define mod_name gyoku
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/savonrb/gyoku
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Translates Ruby Hashes to XML
License:        MIT
Group:          Development/Languages/Ruby

%description
Gyoku translates Ruby Hashes to XML.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.0
  see installed CHANGELOG.md
  [#] CHANGELOG
  [#]# 1.4.0 (2022-04-01)
  [#]## Fixed
  - Fix [Issue #56](https://github.com/savonrb/gyoku/issue/56) with PR [#57](https://github.com/savonrb/gyoku/pull/57). Thanks, [@jpmoral]!
  - Avoid circular reference [#69](https://github.com/savonrb/gyoku/pull/69), thanks [@ccarruitero]!
  [#]## Added
  - Unwrap specific keys [#54](https://github.com/savonrb/gyoku/pull/54), by [@rlburkes]. Documented by [@mahemoff]. Thanks to you both!
  - Add `:pretty_print`, `:indent` and `:compact` options to allow prettified XML output. [#59](https://github.com/savonrb/gyoku/pull/59), by [@Jeiwan]. Thanks!
  [#]## Changed
  - Removed Rubinius support, by [@olleolleolle]
  - Clean-up, CI setup, and changelog authoring, by [@olleolleolle]
  [@jpmoral]: https://github.com/jpmoral
  [@ccarruitero]: https://github.com/ccarruitero
  [@rlburkes]: https://github.com/rlburkes
  [@mahemoff]: https://github.com/mahemoff
  [@Jeiwan]: https://github.com/Jeiwan
  [@olleolleolle]: https://github.com/olleolleolle
* Sun Apr  5 2015 coolo@suse.com
- updated to version 1.3.1
* Thu Apr  2 2015 coolo@suse.com
- updated to version 1.3.0
* Fri Mar 13 2015 coolo@suse.com
- updated to version 1.2.3
* Fri Feb  6 2015 coolo@suse.com
- updated to version 1.2.2
  * Fixed a bug introduced by making Gyoku threadsafe. Who knew that `$1` and the block variable that `#gsub` provides are not the same?
  [#]# 1.2.1 (2014-09-22)
  * Fix : [#46](https://github.com/savonrb/gyoku/pull/46) Fixed an issue where Gyoku was not threadsafe. Gyoku should now be relatively more threadsafe due to less usage of global variables.
  [#]# 1.2.0 (2014-09-18)
  * Feature: [#44](https://git
* Sun Jan  5 2014 coolo@suse.com
- updated to version 1.1.1
  * Feature: [#38](https://github.com/savonrb/gyoku/pull/38) support for building nested Arrays
  * Feature: [#36](https://github.com/savonrb/gyoku/pull/36) allow setting any objects content with :content!
  * Deprecation:  Support for ree and ruby 1.8.7 will be going away soon.
* Tue Jul 30 2013 coolo@suse.com
- updated to version 1.1.0
  * Feature: [#30](https://github.com/savonrb/gyoku/pull/30) support for building Arrays
  of parent tags using @attributes.
  * Fix: [#21](https://github.com/savonrb/gyoku/pull/21) stop modifying the original Hash.
  The original issue is [savonrb/savon#410](https://github.com/savonrb/savon/issues/410).
* Mon Dec 24 2012 coolo@suse.com
- updated to version 1.0.0
  * Refactoring: Removed the global configuration. This should really only affect the
  `Gyoku.convert_symbols_to` shortcut which was removed as well. If you're using Gyoku
  with Savon 2.0, there's now an option for that. If you're using Gyoku on itself,
  you can pass it the `:key_converter` option instead.
  Feature: [#19](https://github.com/savonrb/gyoku/pull/19) adds support for explicit XML attributes.
  Feature: [#17](https://github.com/savonrb/gyoku/pull/17) adds an `:upcase` formula.
* Thu Jul 21 2011 cmessel@novell.com
- Use version 3.0.0 of builder
* Thu Jul 21 2011 cmessel@novell.com
- Package version 0.4.4
